# Uses of Interface
org.eclipse.equinox.p2.metadata.index.IIndex

Packages that use IIndex
Package
Description
org.eclipse.equinox.p2.metadata.index
Provides classes for metadata query indexing
org.eclipse.equinox.p2.query
Provides common classes for the query mechanism.

## Uses of IIndex in org.eclipse.equinox.p2.metadata.index

Methods in org.eclipse.equinox.p2.metadata.index that return IIndex
Modifier and Type
Method
Description
`IIndex<T>`
IIndexProvider.`getIndex(String memberName)`
Return an index optimized for producing candidates based on values for a `memberName` that denotes a member of the index type.

## Uses of IIndex in org.eclipse.equinox.p2.query

Methods in org.eclipse.equinox.p2.query that return IIndex
Modifier and Type
Method
Description
`IIndex<T>`
CompoundQueryable.`getIndex(String memberName)`